> For the complete documentation index, see [llms.txt](https://docs.main.atgraphite.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.main.atgraphite.com/stats.md).

# Stats

## Get Native Coin Price

Returns the price of 1 native coin.

#### Sample request

{% tabs %}
{% tab title="Plain" %}

```
https://api.main.atgraphite.com/api
   ?module=stats
   &action=price
   &tag=latest
   &apikey=YourApiKeyToken
```

{% endtab %}

{% tab title="cURL" %}

```bash
curl 'https://api.main.atgraphite.com/api?module=stats&action=price&tag=latest&apikey=YourApiKeyToken'
```

{% endtab %}
{% endtabs %}

#### Request query parameters

| Parameter | Description                                                                                                                  |
| --------- | ---------------------------------------------------------------------------------------------------------------------------- |
| tag       | the string pre-defined block parameter, either `earliest`, `latest` or block number in hex format, default value is `latest` |

#### Sample response

```json
{
    "status": "1",
    "message": "OK",
    "result": {
        "timestamp": "1624961308",
        "priceUSD": "2149.18"
    }
}
```

## Get Native Coin Price History

Returns historical prices for a native coin.

#### Sample request

{% tabs %}
{% tab title="Plain" %}

```
https://api.main.atgraphite.com/api
   ?module=stats
   &action=pricehistory
   &starttimestamp=1734039719
   &endtimestamp=1734043319
   &interval=10m
   &apikey=YourApiKeyToken
```

{% endtab %}

{% tab title="cURL" %}

```bash
curl 'https://api.main.atgraphite.com/api?module=stats&action=pricehistory&starttimestamp=1734039719&endtimestamp=1734043319&interval=10m&apikey=YourApiKeyToken'
```

{% endtab %}
{% endtabs %}

#### Request query parameters

| Parameter      | Description                                                                                                                                                                                   |
| -------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| starttimestamp | the starting timestamp, default value is `null`                                                                                                                                               |
| endtimestamp   | the ending timestamp, default value is `null`                                                                                                                                                 |
| interval       | the interval between quotes, default value is `1d`. Allowed values: `5m`, `10m`, `15m`, `30m`, `45m`, `1h`, `2h`, `3h`, `4h`, `6h`, `12h`, `1d`, `2d`, `3d`, `7d`, `14d`, `15d`, `30d`, `60d` |

#### Sample response

```json
{
    "status": "1",
    "message": "OK",
    "result": {
        "priceChange": "0.1612893643",
        "priceChangePercent": "81.121328",
        "quotes": [
            {
                "priceUSD": "0.1988248560",
                "timestamp": "1734039719"
            },
            {
                "priceUSD": "0.3601142203",
                "timestamp": "1734041519"
            }
        ]
    }
}
```

## Get Total Supply

Returns the current amount of a native coin in circulation.

#### Sample request

{% tabs %}
{% tab title="Plain" %}

```
https://api.main.atgraphite.com/api
   ?module=stats
   &action=supply
   &apikey=YourApiKeyToken
```

{% endtab %}

{% tab title="cURL" %}

```bash
curl 'https://api.main.atgraphite.com/api?module=stats&action=supply&apikey=YourApiKeyToken'
```

{% endtab %}
{% endtabs %}

#### Sample response

```json
{
    "status": "1",
    "message": "OK",
    "result": "1000000000000000000000000000"
}
```

## Get Daily Transaction Count `PRO`

Returns the number of transactions performed on the blockchain per day.

#### Sample request

{% tabs %}
{% tab title="Plain" %}

```
https://api.main.atgraphite.com/api
   ?module=stats
   &action=dailytx
   &startdate=2019-02-01
   &enddate=2019-02-28
   &apikey=YourApiKeyToken
```

{% endtab %}

{% tab title="cURL" %}

```bash
curl 'https://api.main.atgraphite.com/api?module=stats&action=dailytx&startdate=2019-02-01&enddate=2019-02-28&apikey=YourApiKeyToken'
```

{% endtab %}
{% endtabs %}

#### Request query parameters

| Parameter   | Description                              |
| ----------- | ---------------------------------------- |
| startdate\* | the starting date in `yyyy-MM-dd` format |
| enddate\*   | the ending date in `yyyy-MM-dd` format   |

#### Sample response

```json
{
    "status": "1",
    "message": "OK",
    "result": [
        {
            "UTCDate": "2019-02-01",
            "unixTimeStamp": "1548979200",
            "transactionCount": 498856
        },
        {
            "UTCDate": "2019-02-28",
            "unixTimeStamp": "1551312000",
            "transactionCount": 541458
        }
    ]
}
```

## Get Daily Average Time for A Block to be Included in the Blockchain `PRO`

Returns the daily average of time needed for a block to be successfully validated.

#### Sample request

{% tabs %}
{% tab title="Plain" %}

```
https://api.main.atgraphite.com/api
   ?module=stats
   &action=dailyavgblocktime
   &startdate=2019-02-01
   &enddate=2019-02-28
   &apikey=YourApiKeyToken
```

{% endtab %}

{% tab title="cURL" %}

```bash
curl 'https://api.main.atgraphite.com/api?module=stats&action=dailyavgblocktime&startdate=2019-02-01&enddate=2019-02-28&apikey=YourApiKeyToken'
```

{% endtab %}
{% endtabs %}

#### Request query parameters

| Parameter   | Description                              |
| ----------- | ---------------------------------------- |
| startdate\* | the starting date in `yyyy-MM-dd` format |
| enddate\*   | the ending date in `yyyy-MM-dd` format   |

#### Sample response

```json
{
    "status": "1",
    "message": "OK",
    "result": [
        {
            "UTCDate": "2019-02-01",
            "unixTimeStamp": "1548979200",
            "blockTime_sec": "3.674321"
        },
        {
            "UTCDate": "2019-02-28",
            "unixTimeStamp": "1551312000",
            "blockTime_sec": "3.777531"
        }
    ]
}
```

## Get Average Time for A Block to be Included in the Blockchain `PRO`

Returns the average (last 1000 blocks) of time needed for a block to be successfully validated.

#### Sample request

{% tabs %}
{% tab title="Plain" %}

```
https://api.main.atgraphite.com/api
   ?module=stats
   &action=avgblocktime
   &apikey=YourApiKeyToken
```

{% endtab %}

{% tab title="cURL" %}

```bash
curl 'https://api.main.atgraphite.com/api?module=stats&action=avgblocktime&apikey=YourApiKeyToken'
```

{% endtab %}
{% endtabs %}

#### Sample response

```json
{
    "status": "1",
    "message": "OK",
    "result": "3.424671"
}
```

## Get Daily Network Transaction Fee `PRO`

Returns the amount of transaction fees per day.

#### Sample request

{% tabs %}
{% tab title="Plain" %}

```
https://api.main.atgraphite.com/api
   ?module=stats
   &action=dailytxnfee
   &startdate=2019-02-01
   &enddate=2019-02-28
   &apikey=YourApiKeyToken
```

{% endtab %}

{% tab title="cURL" %}

```bash
curl 'https://api.main.atgraphite.com/api?module=stats&action=dailytxnfee&startdate=2019-02-01&enddate=2019-02-28&apikey=YourApiKeyToken'
```

{% endtab %}
{% endtabs %}

#### Request query parameters

| Parameter   | Description                              |
| ----------- | ---------------------------------------- |
| startdate\* | the starting date in `yyyy-MM-dd` format |
| enddate\*   | the ending date in `yyyy-MM-dd` format   |

#### Sample response

```json
{
    "status": "1",
    "message": "OK",
    "result": [
        {
            "UTCDate":"2019-02-01",
            "unixTimeStamp":"1548979200",
            "transactionFee":"358558440870590355682"
        },
        {
            "UTCDate":"2019-02-28",
            "unixTimeStamp":"1551312000",
            "transactionFee":"545141762162356907132"
        }
    ]
}
```

## Get Daily New Address Count `PRO`

Returns the number of new addresses created per day.

#### Sample request

{% tabs %}
{% tab title="Plain" %}

```
https://api.main.atgraphite.com/api
   ?module=stats
   &action=dailynewaddress
   &startdate=2019-02-01
   &enddate=2019-02-28
   &apikey=YourApiKeyToken
```

{% endtab %}

{% tab title="cURL" %}

```bash
curl 'https://api.main.atgraphite.com/api?module=stats&action=dailynewaddress&startdate=2019-02-01&enddate=2019-02-28&apikey=YourApiKeyToken'
```

{% endtab %}
{% endtabs %}

#### Request query parameters

| Parameter   | Description                              |
| ----------- | ---------------------------------------- |
| startdate\* | the starting date in `yyyy-MM-dd` format |
| enddate\*   | the ending date in `yyyy-MM-dd` format   |

#### Sample response

```json
{
    "status": "1",
    "message": "OK",
    "result": [
        {
            "UTCDate":"2019-02-01",
            "unixTimeStamp":"1548979200",
            "newAddressCount":54081
        },
        {
            "UTCDate":"2019-02-28",
            "unixTimeStamp":"1551312000",
            "newAddressCount":53117
        }
    ]
}
```

## Get Daily New Contract Count `PRO`

Returns the number of new contracts created per day.

#### Sample request

{% tabs %}
{% tab title="Plain" %}

```
https://api.main.atgraphite.com/api
   ?module=stats
   &action=dailynewcontract
   &startdate=2019-02-01
   &enddate=2019-02-28
   &apikey=YourApiKeyToken
```

{% endtab %}

{% tab title="cURL" %}

```bash
curl 'https://api.main.atgraphite.com/api?module=stats&action=dailynewcontract&startdate=2019-02-01&enddate=2019-02-28&apikey=YourApiKeyToken'
```

{% endtab %}
{% endtabs %}

#### Request query parameters

| Parameter   | Description                              |
| ----------- | ---------------------------------------- |
| startdate\* | the starting date in `yyyy-MM-dd` format |
| enddate\*   | the ending date in `yyyy-MM-dd` format   |

#### Sample response

```json
{
    "status": "1",
    "message": "OK",
    "result": [
        {
            "UTCDate":"2019-02-01",
            "unixTimeStamp":"1548979200",
            "newContractCount":127
        },
        {
            "UTCDate":"2019-02-28",
            "unixTimeStamp":"1551312000",
            "newContractCount":198
        }
    ]
}
```

## Get Daily Network Utilization `PRO`

Returns the daily average gas used over gas limit, in percentage.

#### Sample request

{% tabs %}
{% tab title="Plain" %}

```
https://api.main.atgraphite.com/api
   ?module=stats
   &action=dailynetutilization
   &startdate=2019-02-01
   &enddate=2019-02-28
   &apikey=YourApiKeyToken
```

{% endtab %}

{% tab title="cURL" %}

```bash
curl 'https://api.main.atgraphite.com/api?module=stats&action=dailynetutilization&startdate=2019-02-01&enddate=2019-02-28&apikey=YourApiKeyToken'
```

{% endtab %}
{% endtabs %}

#### Request query parameters

| Parameter   | Description                              |
| ----------- | ---------------------------------------- |
| startdate\* | the starting date in `yyyy-MM-dd` format |
| enddate\*   | the ending date in `yyyy-MM-dd` format   |

#### Sample response

```json
{
    "status": "1",
    "message": "OK",
    "result": [
        {
            "UTCDate":"2019-02-01",
            "unixTimeStamp":"1548979200",
            "networkUtilization":"0.8464"
        },
        {
            "UTCDate":"2019-02-28",
            "unixTimeStamp":"1551312000",
            "networkUtilization":"0.9472"
        }
    ]
}
```

## Get Daily Block Rewards `PRO`

Returns the amount of block rewards distributed to miners daily.

#### Sample request

{% tabs %}
{% tab title="Plain" %}

```
https://api.main.atgraphite.com/api
   ?module=stats
   &action=dailyblockrewards
   &startdate=2019-02-01
   &enddate=2019-02-28
   &apikey=YourApiKeyToken
```

{% endtab %}

{% tab title="cURL" %}

```bash
curl 'https://api.main.atgraphite.com/api?module=stats&action=dailyblockrewards&startdate=2019-02-01&enddate=2019-02-28&apikey=YourApiKeyToken'
```

{% endtab %}
{% endtabs %}

#### Request query parameters

| Parameter   | Description                              |
| ----------- | ---------------------------------------- |
| startdate\* | the starting date in `yyyy-MM-dd` format |
| enddate\*   | the ending date in `yyyy-MM-dd` format   |

#### Sample response

```json
{
    "status": "1",
    "message": "OK",
    "result": [
        {
            "UTCDate":"2019-02-01",
            "unixTimeStamp":"1548979200",
            "blockRewards":"358558440870590355682"
        },
        {
            "UTCDate":"2019-02-28",
            "unixTimeStamp":"1551312000",
            "blockRewards":"545141762162356907132"
        }
    ]
}
```

## Get Daily Total Token Holder Count `PRO`

Returns the total number of token holders by days.

#### Sample request

{% tabs %}
{% tab title="Plain" %}

```
https://api.main.atgraphite.com/api
   ?module=stats
   &action=dailytotaltokenholders
   &contractaddress=0xdac17f958d2ee523a2206206994597c13d831ec7
   &startdate=2019-02-01
   &enddate=2019-02-28
   &apikey=YourApiKeyToken
```

{% endtab %}

{% tab title="cURL" %}

```bash
curl 'https://api.main.atgraphite.com/api?module=stats&action=dailytotaltokenholders&contractaddress=0xdac17f958d2ee523a2206206994597c13d831ec7&startdate=2019-02-01&enddate=2019-02-28&apikey=YourApiKeyToken'
```

{% endtab %}
{% endtabs %}

#### Request query parameters

| Parameter   | Description                              |
| ----------- | ---------------------------------------- |
| startdate\* | the starting date in `yyyy-MM-dd` format |
| enddate\*   | the ending date in `yyyy-MM-dd` format   |

#### Sample response

```json
{
    "status": "1",
    "message": "OK",
    "result": [
        {
            "UTCDate":"2019-02-01",
            "unixTimeStamp":"1548979200",
            "holderCount":14
        },
        {
            "UTCDate":"2019-02-28",
            "unixTimeStamp":"1551312000",
            "holderCount":54
        }
    ]
}
```
